Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_DIIPollable Interface Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA_DIIPollable

[legend]
Collaboration diagram for CORBA_DIIPollable:

[legend]
List of all members.

## Public Types
typedef CORBA_DIIPollable_ptr | _ptr_type
typedef CORBA_DIIPollable_var | _var_type
## Public Methods
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual const char* | _interface_repository_id (void) const
## Static Public Methods
CORBA_DIIPollable_ptr | _duplicate (CORBA_DIIPollable_ptr obj)
CORBA_DIIPollable_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_DIIPollable_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_DIIPollable_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| CORBA_DIIPollable (void)
virtual | ~CORBA_DIIPollable (void)
## Private Methods
| CORBA_DIIPollable (const CORBA_DIIPollable &)
void | operator= (const CORBA_DIIPollable &)

## Member Typedef Documentation

typedef CORBA_DIIPollable_ptr CORBA_DIIPollable::_ptr_type

| Reimplemented from CORBA_Pollable.

typedef CORBA_DIIPollable_var CORBA_DIIPollable::_var_type

| Reimplemented from CORBA_Pollable.

## Constructor & Destructor Documentation

CORBA_DIIPollable::CORBA_DIIPollable ( | void )`[protected]`

virtual CORBA_DIIPollable::~CORBA_DIIPollable ( | void )`[protected, virtual]`

CORBA_DIIPollable::CORBA_DIIPollable ( | const CORBA_DIIPollable & )`[private]`

## Member Function Documentation

CORBA_DIIPollable_ptr CORBA_DIIPollable::_duplicate ( | CORBA_DIIPollable_ptr obj )`[static]`

virtual const char* CORBA_DIIPollable::_interface_repository_id ( | void ) const`[virtual]`

| Reimplemented from CORBA_Pollable.

CORBA_DIIPollable_ptr CORBA_DIIPollable::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented from CORBA_Pollable.

CORBA_DIIPollable_ptr CORBA_DIIPollable::_nil ( | void )`[inline, static]`

| Reimplemented from CORBA_Pollable.

virtual void* CORBA_DIIPollable::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented from CORBA_Pollable.

CORBA_DIIPollable_ptr CORBA_DIIPollable::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| Reimplemented from CORBA_Pollable.

void CORBA_DIIPollable::operator= ( | const CORBA_DIIPollable & )`[private]`

## Member Data Documentation

int CORBA_DIIPollable::_tao_class_id`[static]`

| Reimplemented from CORBA_Pollable.

The documentation for this interface was generated from the following files:

- Pollable.pidl
- PollableC.h